summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1997-06-22 03:32:37 +0000
committerJim Meyering <jim@meyering.net>1997-06-22 03:32:37 +0000
commit2f91f08a7980fcd4d9719a65463b001088a7b085 (patch)
tree07753b62e6989239866605a51b0f3cec69b6023c
parent9bf8c1c229516dd1bf73c85e2fa7722bb28029b2 (diff)
downloadcoreutils-2f91f08a7980fcd4d9719a65463b001088a7b085.tar.xz
.
-rwxr-xr-xtests/cp/no-deref-slink12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/cp/no-deref-slink b/tests/cp/no-deref-slink
new file mode 100755
index 000000000..8b709ed38
--- /dev/null
+++ b/tests/cp/no-deref-slink
@@ -0,0 +1,12 @@
+#!/bin/sh
+# This test requires ln -s.
+# cp from 3.16 fails this test
+rm -rf a b
+mkdir a b
+echo foo > a/foo
+cd b
+ln -s ../a/foo .
+cd ..
+./cp -d a/foo b
+test "`cat a/foo`" = foo && fail=0 || fail=1
+exit $fail